Platforms
List Platform Models
Retrieve a list of platform models
get
/v1/platform/model/list
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
typestring
The type of models to list
cursorstring
The cursor to use for pagination
orderstring
The order of the paginated items
takeinteger
The number of items to retrieve
metaobject
Key-value pairs to filter the items by metadata
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.platform.model.list(
)
{"items":[{"name":"string","description":"string","meta":"object","id":"string","createdAt":"number","updatedAt":"number","type":"string","default":"boolean","provider":"string","family":"string","maxTokens":"number","maxInputTokens":"number","maxOutputTokens":"number"}],"cursor":"string"}The list of models was retrieved successfully